	var mapPanel;
	
		  	Ext.onReady(function() {
		  	   	var  map = new OpenLayers.Map({		        
		  			        theme: null,
		  			        controls: [
		  			            new OpenLayers.Control.Attribution(),
		  			            new OpenLayers.Control.TouchNavigation({
		  			                dragPanOptions: {
		  			                    enableKinetic: true
		  			                }
		  			            }),
		  			            new OpenLayers.Control.ZoomPanel()
		  			        ],
		  			        layers: [
		  			            new OpenLayers.Layer.OSM("OpenStreetMap", null, {
		  			                transitionEffect: 'resize'
		  			            })
		  			        ],
		  			        center: new OpenLayers.LonLat(742000, 5861000),
		  			        zoom: 1,
		  			        projection: new OpenLayers.Projection('EPSG:900913'),
		  		  		    displayProjection: new OpenLayers.Projection("EPSG:4326")
		  			    });
	
		  	    mapPanel = new GeoExt.MapPanel({
		  	        title: "GeoExt MapPanel",
		  	        renderTo: "mappanel",
		  	        stateId: "mappanel",        
		  	        map: map
		  	       
		  	        // getState and applyState are overloaded so panel size
		  	        // can be stored and restored
		  	       
		  	    });
		  	});
	  		  	